Eclipse Platform Release 3.7

## org.eclipse.jface.viewers
Class ColumnViewerEditorActivationListener

    java.lang.Object
      org.eclipse.jface.viewers.ColumnViewerEditorActivationListener

    public abstract class ColumnViewerEditorActivationListener

extends Object

Parties interested in activation and deactivation of editors extend this class and implement any or all of the methods

Since:
  3.3

Constructor Summary
`ColumnViewerEditorActivationListener()`

Method Summary
`abstract void` `afterEditorActivated(ColumnViewerEditorActivationEvent event)` Called after an editor has been activated
`abstract void` `afterEditorDeactivated(ColumnViewerEditorDeactivationEvent event)` Called after an editor is deactivated
`abstract void` `beforeEditorActivated(ColumnViewerEditorActivationEvent event)` Called before an editor is activated
`abstract void` `beforeEditorDeactivated(ColumnViewerEditorDeactivationEvent event)` Called before an editor is deactivated

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ColumnViewerEditorActivationListener

    public ColumnViewerEditorActivationListener()

Method Detail

### beforeEditorActivated

    public abstract void beforeEditorActivated(ColumnViewerEditorActivationEvent event)

  Called before an editor is activated

  Parameters:
    `event` - the event

### afterEditorActivated

    public abstract void afterEditorActivated(ColumnViewerEditorActivationEvent event)

  Called after an editor has been activated

  Parameters:
    `event` - the event

### beforeEditorDeactivated

    public abstract void beforeEditorDeactivated(ColumnViewerEditorDeactivationEvent event)

  Called before an editor is deactivated

  Parameters:
    `event` - the event

### afterEditorDeactivated

    public abstract void afterEditorDeactivated(ColumnViewerEditorDeactivationEvent event)

  Called after an editor is deactivated

  Parameters:
    `event` - the event

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.